Subject: bug#19582: 25.0.50; [PATCH] Calc: glitches with negation of units

From: Jay Belanger <[email-masked]>
Date: Tue, 13 Jan 2015 10:06:52 -0600

>> Fantastic, thanks.  I'll apply the patches to Calc as soon as I get to
>> my home computer.
>
> I could do this myself, actually...

Great!

>> But what did you mean when you wrote:
>>    Apparently, the representation of numbers is sometimes
>>    influenced by previous results in the same calc stack.
>
> The same calculation can return an expression where some sub-expression
> is a plain integer, say 100, or the corresponding float (float 1 2).
> I'll provide an explicit example.

Okay, thanks.  Since 100 and (float 1 2) aren't the same, that might be
a bug of some kind.  I'm not sure that a test should indicate that they
are equal, so maybe you shouldn't put that part in yet.